=== debian/changelog ===
golang-github-influxdata-flux (0.7.0+git20181121.54f9e3f-1) unstable; urgency=medium

  * Initial release (Closes: #914299)

 -- Alexandre Viau <aviau@debian.org>  Wed, 21 Nov 2018 12:18:11 -0500
