=== debian/control ===
Source: golang-github-influxdata-flux
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Alexandre Viau <aviau@debian.org>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-github-andreyvit-diff-dev,
               golang-github-c-bata-go-prompt-dev,
               golang-github-cespare-xxhash-dev,
               golang-github-go-sql-driver-mysql-dev,
               golang-github-google-go-cmp-dev,
               golang-github-influxdata-line-protocol-dev,
               golang-github-influxdata-tdigest-dev,
               golang-github-opentracing-opentracing-go-dev,
               golang-github-pkg-errors-dev,
               golang-github-prometheus-client-model-dev,
               golang-github-satori-go.uuid-dev,
               golang-github-segmentio-kafka-go-dev,
               golang-go.uber-zap-dev (>=1.9.1),
               golang-pq-dev,
               golang-prometheus-client-dev
Standards-Version: 4.2.1
Homepage: https://github.com/influxdata/flux
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-influxdata-flux
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-influxdata-flux.git
XS-Go-Import-Path: github.com/influxdata/flux
Testsuite: autopkgtest-pkg-go

Package: golang-github-influxdata-flux-dev
Architecture: all
Depends: ${misc:Depends},
         golang-github-andreyvit-diff-dev,
         golang-github-c-bata-go-prompt-dev,
         golang-github-cespare-xxhash-dev,
         golang-github-go-sql-driver-mysql-dev,
         golang-github-google-go-cmp-dev,
         golang-github-influxdata-line-protocol-dev,
         golang-github-influxdata-tdigest-dev,
         golang-github-opentracing-opentracing-go-dev,
         golang-github-pkg-errors-dev,
         golang-github-prometheus-client-model-dev,
         golang-github-satori-go.uuid-dev,
         golang-github-segmentio-kafka-go-dev,
         golang-go.uber-zap-dev (>=1.9.1),
         golang-pq-dev,
         golang-prometheus-client-dev
Description: lightweight scripting language for querying databases
 Flux is a lightweight scripting language for querying databases (like InfluxDB)
 and working with data. It's part of InfluxDB 1.7 and 2.0, but can be run
 independently of those.
